<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>Box Sizing Demo</title>
		
		<style type="text/css">
			/*
			Without border-box 
			it adds up the set apdding and border to the total size of the element
			total size = padding + border = set lenght (widhth and height)

			With the order box 
			total size = p+ b = adjusted lenght
			1px boder (x-axis) + 50 padding (x-axis) + 48px (width)

			*/
			*{
				margin: 0;
				padding: 0;
				box-sizing: border-box;
			}

			#box{
				height: 150px;
				width: 150px;
				background-color: orange;

				padding: 50px;
				border: 1px solid black;

			}

		</style>

	</head>
	<body>
		<div id= "box">Hello</div>
	</body>
	</html>